/*
 * @(#)HLayoutManager.java
 * 
 * Christopher Deckers (chrriis@brainlex.com)
 * http://chrriis.brainlex.com
 * 
 * See the file "LICENSE.txt" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package chrriis.uihierarchy.layout;

import java.awt.LayoutManager;

import chrriis.uihierarchy.UIHConfig;

/**
 * A layout manager handler, that lazily creates the actual layout manager to
 * use.
 * @version 1.0 2005.02.06
 * @author Christopher Deckers (chrriis@brainlex.com)
 */
public interface HLayoutManager {

  /**
   * Create the desired layout manager, using the UIH configuration.
   * @param uihConfig The configuration that may be used.
   * @return The layout manager.
   */
  public LayoutManager createLayout(UIHConfig uihConfig);

}
